Update a device
Updates specific fields of an existing device identified by its ID.
Middlewares: authMiddleware, validateDevice, validateOrganizationUpdate
API key for authentication
In: header
Path Parameters
A valid MongoDB ObjectId
A valid MongoDB ObjectId
A valid MongoDB ObjectId
A valid MongoDB ObjectId
Response Body
application/json
curl -X PATCH "https://api.paperlesspaper.de/v1/devices/682fd0d7d4a6325d9d45b86f" \ -H "Content-Type: application/json" \ -d '{ "kind": "paper-display", "deviceId": "nrf-352656106701140", "patient": "682fd0d7d4a6325d9d45b86d", "paper": null, "meta": { "room": "kitchen" }, "alarmEnable": 1, "takeOffsetTime": 15 }'{
"id": "682fd0d7d4a6325d9d45b86f",
"name": "Kitchen Display",
"serialNumber": "nrf-352656106701140",
"status": "online",
"createdAt": "2026-05-21T09:30:00.000Z",
"updatedAt": "2026-05-21T10:15:00.000Z"
}Get a device by ID GET
Retrieve detailed information for the device identified by its ID. Middlewares: `authMiddleware`, `validateDevice`
Get events for a device GET
Fetch a chronological list of events generated by the specified device. This includes activate events sent on every device wake-up containing current settings and states, as well as update state events such as: EventType: `state`: - `update_checked_nopicture` - `update_checked_ok` - `download_ok` - `update_ok` - `update_failed` EventType: `activate`: - `json` - `AwsTopic` Examples: json: `{"file":"1722482048","fw":"b3.0.10","bat":"3749","wake":"BUTTON","wifi":"1, -45","usb":"1","orient":"2","timeout":"300","timeoutPredict":"296","timeoutRecentSetting":300}` AwsTopic: `$aws/things/epd13-0000000000/activateepaper` The latest update state is also available in the device information payload under the updatePending property. Middlewares: `authMiddleware`, `validateDevice`